@font-face {
    font-family: 'Odin-Rounded';
    font-style: normal;
    font-weight: normal;
    src: url('./assets/fonts/odinrounded.woff') format('woff');
    }

:root {
    --body-offset: 20px;
    --header-offset: -20px;
}

html {
    width:100%;
    height:100%;
}

header {
    margin-left: var(--body-offset);
    width:100%;
}

body {
    width: 95vw;
    min-height:100%;
    position:relative;
    left:0;
    right:0;
    overflow-y: auto;
    overflow-x: hidden;
    margin: calc(5vh + 26px) 0 0 0;
    padding-left: var(--body-offset);
    float: left;
    color: black;
    font-family: Odin-Rounded;
    font-size: 18px;
    overscroll-behavior: none;
}

body::before {
    content: '';
    position: absolute;
    width: 100vw;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url('./assets/argyle blue green.png');
    background-size: 20%;
    opacity: 0.5;
    z-index: -10;
}

.navbarnav {
    font-family: Odin-Rounded;
    font-size:100%;
    color: white;
    text-decoration: none;
    padding:11px;
    white-space:nowrap;
    height:100%;
}

.blacktext {
    color: black;
}

.nails {
    position: absolute;
    width: 10px;
}

.blog {
    padding: 10px;
    position:relative;
    margin: 0 0 0 0;
}

.blogwrap {
    background-attachment: fixed;
    position: relative;
    overflow:hidden;
}

.blogwrap::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url('./assets/checkerboard.png');
    background-size: 10%;
    opacity: .90;
    z-index: -1;
}

.blogwrapwrap {
    position: relative;
    padding: 10px;
    width:35%;
    background-image: url('./assets/wood.jpg');
    background-size: cover;
    z-index: -2;
    margin-bottom: 10px;
    box-shadow: 2px 2px;
}

.blogdate {
    margin-top: -5px;
    font-size: 15px;
    float: right;
}

.topleft {
    position: absolute;
    top: 0;
    left: 0;
    padding:3px;
    margin: 0 0 0 0;
    text-align: center;
}

a.navbarnav {
    border:solid 2px #2D2D2D;
    transition:border .5s;
    padding:11px;
}
a.navbarnav:hover {
    border:solid 2px #535353;
}

#navbar {
    background-color: #2D2D2D;
    border-width: 0 0 6px 0;
    margin-left: var(--body-offset);
    border-style: solid;
    border-image: url(./assets/background.png) 5 stretch;
    position:fixed;
    padding: 10px;
    top: 0;
    left: var(--header-offset);
    height: 5vh;
    overflow: auto;
    overflow-y:hidden;
    display: flex;
    flex-wrap:nowrap;
    align-items: center;
    margin-bottom:5px;
    z-index:99;
    width:100%;
}

#navtitletext {
    background-color: #2D2D2D;
    font-size:4vh;
    font-family: Odin-Rounded;
    color: white;
    text-decoration: none;
    border:solid 2px #2D2D2D;
    transition:border .5s;
    padding:5px;
}
#navtitletext:hover {
    border:solid 2px #535353;
}

#navnavbar {
    position: relative;
    float: right;
    right: 0;
    margin-left:20px;
    padding:10px;
    width:100%;
    display:flex;
    flex-wrap:nowrap;
    font-size:2.5vh;
}

#holidaytext {
    padding-top:2.5vh;
    height:100%;
    font-size:2.5vh;
    float:right;
    white-space:nowrap;
    background-color:#2D2D2D;
}

button {
    border-radius:0px;
}

input {
    border-radius:0px;
}

select {
    border-radius:0px;
}

.column {
    float: left;
    width: 50%;
}

.columnsmall {
    float: left;
    width: 30%;
}

.row {
    display:flex;
}